Package com.enonic.xp.region

## Class AbstractRegions

- java.lang.Object
- - com.enonic.xp.region.AbstractRegions

- All Implemented Interfaces:
    `Iterable<Region>`
  Direct Known Subclasses:
    `LayoutRegions`, `PageRegions`

      @PublicApi
      public abstract class AbstractRegions
      extends Object
      implements Iterable<Region>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractRegions.Builder<BUILDER extends AbstractRegions.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractRegions​(AbstractRegions.Builder builder)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract AbstractRegions` | `copy()` |
    `boolean` | `equals​(Object o)` |
    `Component` | `getComponent​(ComponentPath path)` |
    `Region` | `getRegion​(String name)` |
    `int` | `hashCode()` |
    `boolean` | `isEmpty()` |
    `Iterator<Region>` | `iterator()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### AbstractRegions

          protected AbstractRegions​(AbstractRegions.Builder builder)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### getRegion

          public Region getRegion​(String name)

    - #### getComponent

          public Component getComponent​(ComponentPath path)

    - #### iterator

          public Iterator<Region> iterator()

      Specified by:
        `iterator` in interface `Iterable<Region>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### copy

          public abstract AbstractRegions copy()